package com.adealink.weparty.network

import com.adealink.frame.base.AppBase



val RELEASE_HOSTS = emptyList<String>() //listOf("api.yoki.chat") //主域名，优先访问
val BACKUP_HOSTS = emptyList<String>() //listOf("yokiback.wenext.website") //备用域名，主域名访问不通时使用
const val CDN_HOST = "yoki-user-cf.wenext.media"
const val DEBUG_HOST_CN = "test-api.gami.vip"

val WEB_PRIMARY_DOMAINS = listOf(
    "wenext.love",
    "appmisu.com",
    "wenext.icu",
    "wenext.chat",
    "wenext.technology",
    "wenext.media",
    "web-test.yoki.chat", //web测试域名
    "yoki.chat" //web正式域名
)

fun getLocalHost(): String {
    return if (AppBase.isRelease) {
        RELEASE_HOSTS[0]
    } else {
        DEBUG_HOST_CN
    }
}